<?php global $fg_admin; ?>
<div class="wrap">
	<form id="config_form" name="config_form" action="" method="POST" enctype='multipart/form-data'>
    <input type="hidden" name="act" value="update" />
    <div id="icon-options-general" class="icon32"><br /></div>
	<h2>Feedgeorge Wordpress Plugin Settings</h2>
	
	<?php
		if ($fg_returnmsg) 
			echo '<strong>'.$fg_returnmsg.'</strong>';
	?>
	
    <div class="metabox-holder">
			<h3><a href="http://wordpress.Feedgeorge.com/documentation/" target="_blank">Click here for Help Guide.</a>  </h3>
        	<?php  
            if (!isset($fgeo_options['feedgeorge_key'])) {
            ?>
            <div class="fg_error_message">
            WARNING: Before you use WP Feedgeorge plugin, you must acquire a Feedgeorge API Key for your blog, 
            please go to <a href="<?php echo FG_APISITE ?>?skey=<?php echo FG_KEY01 ?>">Feedgeorge</a> for sign up and get your api key now.
            </div>
            <?php } ?>
        
        <div id="blogedit_bloginfo" class="postbox" style="width:700px">
            <h3 class="hndle"><span>Common Setting</span></h3>
            <div class="inside">
                  <table class="form-table">
						<tr class="form-field">
							<td scope="row" style="font-weight:bold">Feedgeorge API Key
							<br/><input name="fgeo_key" id="fgeo_key" value="<?php echo $fgeo_options['feedgeorge_key']  ?>" size="25" type="text" style="width: 700px:padding:2px" />
							
							</td>
						</tr>
                </table>
            </div>
        </div>
    
    
        <div id="blogedit_bloginfo" class="postbox" style="width:700px">
            <h3 class="hndle"><span>GeoMap Setting at Home page</span></h3>
            <div class="inside">
                  <div style="padding:5px;color:333;margin:5px 0 0 0;font-size:12px;line-height:1.2em">
                  <strong>Note</strong> <br/>
				  For aggregated map activation, please follow the instruction below. <br/>
				  Put this line of code <strong><i><?php echo htmlentities('<?php show_fgeorge_map([height]); ?>') ?></i></strong> in index.php or home.php in your Theme folder. (replace [height] (in pixel) with your preferred size of the map)

                 </div>
                  <table class="form-table" width="100%">
						<tr class="form-field form-required">
							<td scope="row" colspan="2"><strong>Default Map Location Centre</strong><br/>
							    <label for="default_map_latitude" style="width: 70px; display: inline-block;">Location</label> 
                                <input name="front_map[default_location]" id="default_location" size="60" style="width: 300px;" type="text" value="<?php echo $fgeo_options['front_map_location']  ?>"><input type="button" id="load_map" name="load_map" value="load" style="width:80px" /><br/>
                                <label for="default_map_latitude" style="width: 70px; display: inline-block;">Latitude</label> 
                                <input name="front_map[lat]" id="default_latitude" value="<?php echo $fgeo_options['front_map_latitude']  ?>" size="25" type="text" style="width: 150px;" readonly /><br>
							    <label for="default_map_longitude" style="width: 70px; display: inline-block;">Longitude</label> 
                                <input name="front_map[long]" id="default_longitude" value="<?php echo $fgeo_options['front_map_longitude']  ?>" size="25" type="text" style="width: 150px;" readonly />
                            </td>
						</tr>
						
						<tr class="form-field form-required">
							<th scope="row">Default Map Zoom</th>
							<td><?php echo $fg_admin->selectMapZoom('menu', $fgeo_options['front_map_zoom'],'front'); ?></td>
						</tr>
						<tr class="form-field form-required">
                            <th scope="row">Default Map Size</th>
							<td>
								<label for="front_map_width" style="width: 70px; display: inline-block;">Width</label> 
                                <input name="front_map[width]" id="front_map_width" value="<?php echo $fgeo_options['front_map_width']  ?>" size="25" type="text" style="width: 80px;" />px
								<br />
								<label for="front_map_height" style="width: 70px; display: inline-block;">Height</label> 
                                <input name="front_map[height]" id="front_map_height" value="<?php echo $fgeo_options['front_map_height']  ?>" size="25" type="text" style="width: 80px;" />px
                            </td>
                        </tr>
					
						<tr>
							<td colspan="2">
							<strong>OPTION</strong><br/>
							<input type="checkbox" id="isHeatmap" name="fgisHeatmap" value="1" <?php echo $isheatmap ?> class="heattype" /><label id="isHeatmap">Heat Map (Clusting Markers)</label><br/>
							<input type="checkbox" id="isPolygon" name="fgisPoly" value="1" <?php echo $ispolymap ?> class="heattype" /><label id="isPolygron">Polygon</label>
							<div id="poly_setting" style="display:none">Polygon setting:<br/>
								<label for="poly_strokeColor">Stroke Color</label> <input type="text" name="poly[strokeColor]" class="color {hash:true}" id="poly_strokeColor" value="<?php echo $poly[strokeColor] ?>" />
								<label for="poly_strokeopacity">Stroke Opacity</label> <select name="poly[strokeOpacity]" id="poly_strokeopacity" ><?php show_op_list($poly[strokeOpacity]) ?></select>
								<label for="poly_strokeweight">Stroke Weight</label> <input type="text" name="poly[strokeWeight]" id="poly_strokeweight" value="<?php echo $poly[strokeWeight] ?>" /><br/>
								<label for="poly_fillColor">Fill Color</label> <input type="text" name="poly[fillColor]" id="poly_fillColor" value="<?php echo $poly[fillColor] ?>" class="color {hash:true}" />
								<label for="poly_fillopacity">Fill Opacity</label> <select name="poly[fillOpacity]" id="poly_fillopacity"><?php show_op_list($poly[fillOpacity]) ?></select><br/>
								
							</div>
							<script>
							jQuery(document).ready( function($){
	
								if (jQuery('#isPolygon').is(':checked')) {
									jQuery('#poly_setting').slideDown()
								}
								
							});
							jQuery('input.heattype').click(function() {
								//jQuery('input.heattype:checked').not(this).removeAttr('checked');
								
								if (jQuery('#isPolygon').is(':checked')) {
									jQuery('#poly_setting').slideDown()
								}
								else {
									jQuery('#poly_setting').slideUp()
								}
							});
							
				
							</script>
							</td>
						</tr>
                </table>
            </div>
        </div>
        
        
        <div id="blogedit_bloginfo" class="postbox" style="width:700px">
            <h3 class="hndle"><span>GeoMap Setting at Post</span></h3>
            <div class="inside">
                  <table class="form-table">
						<tr class="form-field form-required">
							<td scope="row" colspan="2"><strong>Default Map Location Centre</strong><br/>
							    <label for="content_map_location" style="width: 70px; display: inline-block;">Location</label> 
                                <input name="content_map[default_location]" id="content_map_location" size="60" style="width: 300px;" type="text" value="<?php echo $fgeo_options['default_location']  ?>"><input type="button" id="content_load_map" name="load_map" value="load" style="width:80px" /><br/>
                                <label for="content_map_latitude" style="width: 70px; display: inline-block;">Latitude</label> 
                                <input name="content_map[lat]" id="content_map_latitude" value="<?php echo $fgeo_options[post_map_latitude]  ?>" size="25" type="text" style="width: 150px;" readonly /><br>
							    <label for="content_map_longitude" style="width: 70px; display: inline-block;">Longitude</label> 
                                <input name="content_map[long]" id="content_map_longitude" value="<?php echo $fgeo_options[post_map_longitude]  ?>" size="25" type="text" style="width: 150px;" readonly />
                            </td>
						</tr>
						
						<tr class="form-field  form-required">
							<th scope="row">Default Map Zoom</th>
							<td><?php echo $fg_admin->selectMapZoom('menu', $fgeo_options['post_map_zoom'],"content"); ?></td>
						</tr>
						
						<tr class="form-field form-required">
							    <th scope="row">Default Map Size</th>
								<td>
							    <label for="content_map_width" style="width: 70px; display: inline-block;">Width</label> 
                                <input name="content_map[width]" id="content_map_width" value="<?php echo $fgeo_options['post_map_width']  ?>" size="25" type="text" style="width: 80px;" />px
								<br />
								<label for="content_map_height" style="width: 70px; display: inline-block;">Height</label> 
                                <input name="content_map[height]" id="content_map_height" value="<?php echo $fgeo_options['post_map_height']  ?>" size="25" type="text" style="width: 80px;" />px
                            </td>
                        </tr>
						
                </table>
            </div>
        </div>
        
		
		<div id="blogedit_bloginfo" class="postbox" style="width:700px;margin-bottom:20px">
			<script>
			
				
				
				jQuery(document).ready(function(){
					disableinput(true)
					
					jQuery('#isallowpost').click(function() {
						if(jQuery(this).is(':checked')) {
							disableinput(false)
						}
						else
							disableinput(true)
					}
					);
					
				});
				
				function disableinput(flag) {
					if(jQuery('#isallowpost').is(':checked')) {
						flag = false;
					}
					jQuery('input#fg_username').disabledThis(flag);
					jQuery('input#fg_passwd').disabledThis(flag);
					jQuery('#fg_subcatid').disabledThis(flag);
				}
		
			</script>
			<h3 class="hndle"><span>Share with Feedgeorge</span></h3>
			<div class="inside" style="font-size:11px; padding:10px;line-height:1.2em">
			<input type="checkbox" name="isallowpost" id="isallowpost" value="1" <?php echo $isallowpost ?> >
				<label for="isallowpost">Submit your blog post to Feedgeorge.</label><br/>
				<label for="fg_username">Feedgeorge username</label> <input type="text" id="fg_username" name="fg_username" value="<?php echo $fg_username  ?>">
				<label for="fg_passwd">Feedgeorge password</label> <input type="password" id="fg_passwd" name="fg_passwd" value="<?php echo $fg_passwd ?>">
				<br/>Sub Category: <select id="fg_subcatid" name="fg_subcatid"><?php echo $catlistfield ?></select>
				<p>(Note: Username and Password is login and password you submited during sign up for Feedgeorge API)
			</div>
		</div>
		
        <div id="blogedit_bloginfo" class="postbox" style="width:700px;margin-bottom:20px">
            <h3 class="hndle"><span>Marker Setting</span></h3>
            <div class="inside" style="font-size:11px; padding:10px;line-height:1.2em">
            Default marker : <?php echo $defaultmarker;  ?><br/>
			<input type="file" id="fg_umarker" name="fg_umarker" />
			<!-- br/>If you want to use a customized map marker icon, you can upload the image to  <strong>/wp-contents/upload/wp-Feedgeorge</strong> and <br/>rename the image as <strong>map-marker.png</strong> (Default map marker) and <strong>map_small_marker.png</strong> (thumbnail in each title post)
			-->
            </div>
        </div>
        
        <div class="submit" style="width:700px;text-align:center;"><input type="submit" name="Submit" value="Update Options" /></div>

    </div>
    </form>
</div>
